package journal.reader;

import journal.action.Action;

abstract public class JournalEntry {

	protected ActionType actionType;

	protected JournalEntry(Token startToken) {
		actionType = startToken.getAction();
	}
	
	protected JournalEntry(ActionType type) {
		actionType = type;
	}
	
	public void invokeAction(Action action) throws Exception {
		actionType.invoke(action, this);
	}
	
	public ActionType getActionType() {
		return actionType;
	}
	
	public String toJournalString() {
		return toJournalString(actionType);
	}
	
	public String toJournalString(ActionType newAction) {
		StringBuffer buf = new StringBuffer();
		buf.append("@");
		buf.append(newAction.symbol);
		buf.append("@");
		
		return buf.toString();
	}
}
