package journal.reader;

import java.util.Date;

public class TransactionJournalEntry extends JournalEntry {
	private int pid;
	private Date timestamp;
	
	public TransactionJournalEntry(Token startToken, Token pidToken, Token timestampToken) {
		super(startToken);
		
		pid = Integer.parseInt(pidToken.getValue());
		long value = Long.parseLong(timestampToken.getValue()) * 1000;
		timestamp = new Date(value);
	}
	
	public String toString() {
		StringBuffer buf = new StringBuffer(actionType.toString());

		buf.append(" "); buf.append(pid);
		buf.append(" "); buf.append(timestamp);
		
		return buf.toString();
	}
	
	public boolean equals(Object to) {
		if (!to.getClass().equals(getClass())) {
			return false;
		}
		TransactionJournalEntry toEntry = (TransactionJournalEntry) to;
		
		return (actionType.equals(toEntry.actionType));
	}

	@Override
	public String toJournalString() {
		StringBuffer buf = new StringBuffer(super.toJournalString());
		
		buf.append(" "); buf.append(pid);
		buf.append(" "); buf.append(timestamp.getTime()/1000);
		return buf.toString();
	}
}
